Bug 137228 - The data could not be loaded completely because the maximum number of columns per sheet was exceeded.
Summary: The data could not be loaded completely because the maximum number of columns...
Status: CLOSED DUPLICATE of bug 50916
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL: https://software.intel.com/security-s...
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-large-spreadsheets
  Show dependency treegraph
 
Reported: 2020-10-03 17:02 UTC by Artem S. Tashkinov
Modified: 2022-02-14 13:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
XLSX document (48.00 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-10-03 17:02 UTC, Artem S. Tashkinov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Artem S. Tashkinov 2020-10-03 17:02:05 UTC
Created attachment 166055 [details]
XLSX document

The document in question is in public access, so I'm attaching it to this bug report.
Comment 1 [REDACTED] 2020-10-04 15:28:59 UTC
This doesn't seem to be a bug but the limitation to 1024 columns in LibreOffice while XLSX allows 16384 columns.
Comment 2 Xisco Faulí 2020-11-11 14:58:15 UTC
Reproduced in

Version: 7.1.0.0.alpha1+
Build ID: 03cafc2ab6b1678f82e9a30b6f81e505660ee702
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Jeff Fortin Tam 2021-10-18 16:41:34 UTC
Same problem with the "ThinkPad, ThinkCentre, ThinkStation, Ideapad and Ideacentre Option Compatibility Matrix" document found on https://support.lenovo.com/do/en/solutions/accs-guide (direct link to the file: https://download.lenovo.com/pccbbs/options_iso/ocm_oct_2021.xlsx ...)
Comment 4 Luboš Luňák 2022-02-14 13:11:34 UTC
I see nothing wrong with the document when using current master with experimental large sheets enabled, so this is either fixed or dupe of bug #50916 depending on what this is exactly about.

*** This bug has been marked as a duplicate of bug 50916 ***
Comment 5 Eike Rathke 2022-02-14 13:38:56 UTC
Fwiw, import to 1024 columns raises the warning because some clever mind for the Lenovo document at least formatted entire row 2 starting on sheet 'TP  X' (and other) to diagonal cells.. and other formattings applied, similar in the attached document, where cells have borders across an entire row, likely until column 16k.